summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLeif Åstrand <leif@vaadin.com>2012-10-19 15:26:14 +0300
committerLeif Åstrand <leif@vaadin.com>2012-10-19 15:26:14 +0300
commit72a1641a0b153ec87ac5ce7710bce4b65a562b70 (patch)
tree86a04ae03e4c649967ca7c88bf29fcf290e1ac8b /scripts
parent9862687131e307dd546ac1502235b7a96d393417 (diff)
downloadvaadin-framework-72a1641a0b153ec87ac5ce7710bce4b65a562b70.tar.gz
vaadin-framework-72a1641a0b153ec87ac5ce7710bce4b65a562b70.zip
Fix merge checker issues
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/merge-check.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/scripts/merge-check.sh b/scripts/merge-check.sh
index ef52cd44f4..9e0d5e1e75 100755
--- a/scripts/merge-check.sh
+++ b/scripts/merge-check.sh
@@ -20,12 +20,19 @@ then
echo "No unmerged commits"
else
command="$command --format=short"
- message="There are $change_count commits that have not been merged from $UNTIL to $SINCE"
+ message="There are $change_count commits in $UNTIL that are missing from $SINCE"
echo $message
echo ""
$command
- details=`$command|perl -p -e 's/\n/|n/' | sed "s/['\|\[\]]/|\&/g"`
+ # Escape []|' and newline with | to make teamcity happy
+ details=`$command|sed "s/[]['\|]/|&/g"|perl -p -e 's/\n/|n/'`
echo "##teamcity[testFailed name='$testname' message='$message' details='|n$details']"
fi
echo "##teamcity[testFinished name='$testname']"
+
+# Give non-ok exit status
+if [ "$change_count" != "0" ]
+then
+ exit 1
+fi